TAAS - Feature #63
Employee
09/22/2022 11:48 AM - Anil KV

Status: Reopen Bugs Testing Done Start date: 10/10/2022
Priority: Normal Due date: 10/13/2022
Assignee: Greeshma S % Done: 90%
Category: Estimated time: 32:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 48.00 Code Reviewed By:

Module: Employee

Description

Coding Employee

History

#1 - 09/27/2022 11:11 AM - Anil KV

Deletetion SP
sp_delete_account(binAccountld::BIGINT, intSysActionl::INT, binDeletedUserld::BIGINT, objSpOutRes);

#2 - 09/27/2022 07:23 PM - Anil KV
Ref: Customer #60

#3 - 09/28/2022 02:52 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

#4 - 09/28/2022 04:52 PM - Anil KV
- File deleted (sql.sql)

#5 - 09/28/2022 04:52 PM - Anil KV
- File sql.sql added

#6 - 09/29/2022 01:05 PM - Christy Saint
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#7 - 10/07/2022 01:27 PM - Anil KV

accounts.tbl_account->sin_ac_category = 20

#8 - 10/15/2022 01:19 PM - Christy Saint

- Status changed from Coding Started to Patrticialy Coding Done
- % Done changed from 40 to 30

- Time Taken(HH) set to 48.00

Tab: Additional Info => System user
Tab: Customer => Invoice Format
#9 - 11/04/2022 06:30 PM - Christy Saint
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#10 - 11/07/2022 04:45 PM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

Problem Founded *******
1.In additional tab date picker is too short
2.In expiry date previous dates can't be choose

#11 - 11/08/2022 04:42 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 11/09/2022 11:34 AM - Amal Cyriac

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND **x****
1.In additional tab date picker is too short

#13 - 11/28/2022 02:54 PM - Amal Cyriac

ISSUE FOUND *****

1.SET MANDATORY FIELDS RED AND REQUIRED
2.RESIZE STATUS , CURRENCY COLUMNS IN GRID
3.SET INPUT BOX ALIGNMENT

#14 - 12/05/2022 03:09 PM - Amal Cyriac

ISSUE FOUND *****

1.SET MANDATORY FIELDS RED AND REQUIRED

2.RESIZE STATUS , CURRENCY COLUMNS IN GRID

3.SET INPUT BOX ALIGNMENT

4.SET BRANCH WIDGET MANDATORY (RED STAR)

5.FIXBUGS ON DEFAULT CURRENCY

6.SET VALIDATIONS ON DATE PICKER ( EXPIRY DATE NOT TOBE PREVIOUS DATE,RANGE)
7.SET PAYMENT TERMS RED AND REQUIRED

#15 - 12/16/2022 05:22 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 12/17/2022 10:45 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.SET MANDATORY FIELDS RED AND REQUIRED

(BRANCH,DEPARTMENT,MAIN LEDGER)

2.SET VALIDATION ON BRANCH WIDGET

3.SET PROPER ALERTS

(IF ENTER INVALID DATE ON PASSPORT EXP.DATE, SHOWING WRONG ALERT "Please Select a Valid Passport Number"

#17 - 01/09/2023 01:08 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 01/14/2023 02:55 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.FIX ERRORS ON CREDIT LIMIT & GRACE PERIOD

2.FIX TRANSLATION FOR 'CREDIT LIMIT BASED ON' (HINDI)
3.UPDATE REGION TO NEW FORM

4.DISPLAY PROPER SHORT FORMS

(LPO SWIFT TRN ID ZIP)

#19 - 01/16/2023 11:39 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 01/17/2023 02:52 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.REMOVE SYSTEM TYPE

#21 - 01/17/2023 04:35 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 01/17/2023 05:48 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.FIXBUGS ON REGION

#23 - 01/17/2023 06:18 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#24 - 03/11/2023 04:58 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix duplication bugs on grid
(Sort--> Update)

#25 - 03/11/2023 06:53 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#26 - 05/09/2023 03:55 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.In Currency Multi Selection Box widget Tick "BASE1 (QAR)" Then Select "BASE1 (QAR)" as default currency

#27 - 05/10/2023 10:53 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#28 - 05/13/2023 05:41 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.fix duplication error while save act as client
2.Set alignment on check box

(Act as client ,Act As Commission Agent)

#29 - 05/29/2023 12:38 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#30 - 06/12/2023 06:31 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set mandatory fields red and required

(Set red star on Status)

2.Set tool tips on GUI - Date Picker

3.Fix bugs on GUI while switching tabs

(Set similar height for all tabs)

4.Use proper labels on Receipt Mode multi selection box
5.Add precision on Credit limit

#31 - 06/13/2023 04:35 PM - Christy Saint
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

3.Fix bugs on GUI while switching tabs
(Set similar height for all tabs)
4.Use proper labels on Receipt Mode multi selection box

Pending

#32 - 06/22/2023 05:30 PM - Amal Cyriac
- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50

ISSUE FOUND *****
1.Connect module with Set Main Ledger GUI

#33 - 07/12/2023 12:45 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#34 - 07/12/2023 06:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.CONNECT EMPLOYEE WITH DESIGNATION MODULE

#35 - 07/19/2023 11:20 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60
#36 - 07/24/2023 12:00 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.Duplication Error Employee Error. => ACCOUNTS_CONTROLLER.CS#001 -> An item with the same key has already been added. Key: 73

#37 - 07/24/2023 04:00 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#38 - 09/08/2023 10:28 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.EXPIRY DATES GOING TO PAST
2.MISSING JOIN DATE
3.MISSING CITY NAME

#39 - 09/12/2023 05:53 PM - unnikannan S
unnikannan S wrote in #note-38:
ISSUE FOUNDED
1.EXPIRY DATES GOING TO PAST
2.MISSING JOIN DATE

3.MISSING CITY NAME
4.REMOVED DATA NOT GOING FROM UI-CITY,COUNTRY,STATE

#40 - 09/22/2023 12:55 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#41 - 10/21/2023 11:45 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.MISSING ADDED DATAS WHILE CHANGING PAYMENT TERMS AND UPDATING
#42 - 10/21/2023 11:47 AM - unnikannan S
unnikannan S wrote in #note-41:
ISSUE FOUNDED

1.MISSING ADDED DATAS WHILE CHANGING PAYMENT TERMS AND UPDATING
2.CONSOLE ERROR

#43 - 10/29/2023 03:31 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#44 - 10/30/2023 01:02 PM - unnikannan S
TESTING DONE
#45 - 11/01/2023 04:28 PM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED***

1.ADD CHANGE APPROVED BY:TO > BY:

2.MISSING ALL DATA WHILE ADDING PAYMENT TERMS AND REFRESH
3.DONT ALLOW TO ADD DETAILS EXCEPT COUNTRY IN ISSUED BY TAB

#46 - 11/06/2023 01:13 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

#47 - 11/21/2023 03:01 PM - Junaid M
- Assignee changed from Christy Saint to Sibin Babu

#48 - 11/27/2023 02:59 PM - Sibin Babu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#49 - 11/27/2023 05:03 PM - unnikannan S
TESTING DONE

#50 - 01/31/2024 12:47 PM - Junaid M

- Assignee changed from Sibin Babu to Baseem Shan

#51 - 02/10/2024 04:57 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
FIXED - 1.DONT ALLOW TO CLEAR ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A

CUSTOMER/AGENT
(Discuss With Anil Sir for Changes )

#52 - 02/14/2024 03:55 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#53 - 02/15/2024 01:13 PM - unnikannan S
TESTING DONE

#54 - 02/27/2024 02:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

FIXED - 1.ERROR WHILE ADDING BLANK OPTION IN SYSTEM USER FIELD

#55 - 03/05/2024 01:12 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#56 - 03/05/2024 02:01 PM - unnikannan S
TESTING DONE

#57 - 03/25/2024 10:39 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ERROR ON UPDATION AFTER ADDING DATES ON ADDITIONAL TAB FIELD
(objlnputDateTime.getFullYear is not a function)

#58 - 04/02/2024 04:22 PM - Junaid M

- Assignee changed from Baseem Shan to Vivekp V

#59 - 04/02/2024 05:55 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.ERROR ON UPDATION AFTER ADDING DATES ON ADDITIONAL TAB FIELD
(objlnputDateTime.getFullYear is not a function)

#60 - 04/02/2024 06:44 PM - unnikannan S
TESTING DONE

#61 - 04/02/2024 06:45 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.CONSIDER DEFAULT MAIN LEDGER AS PER THE CHANGES IN SET MAIN LEDGER MODULE
#62 - 04/03/2024 10:41 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE fixed

1.CONSIDER DEFAULT MAIN LEDGER AS PER THE CHANGES IN SET MAIN LEDGER MODULE

#63 - 04/03/2024 01:52 PM - unnikannan S
TESTING DONE

#64 - 04/03/2024 01:53 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.FIX BUGS ON BRANCH MULTY SELECTION (IN CASE CLEARING ALL BRANCH AND UPDATE)
#65 - 04/03/2024 03:14 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1.FIX BUGS ON BRANCH MULTY SELECTION (IN CASE CLEARING ALL BRANCH AND UPDATE)
#66 - 04/04/2024 06:12 PM - unnikannan S
TESTING DONE

#67 - 07/26/2024 04:00 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

GUI Changes

Customer Tab -> Bill Submission -> Change Rename Monthly to Monthly/Month (min 1 max 6)-Default 1

Customer Tab -> Add Blue Star and Title to Bill Submission.

#68 - 07/29/2024 02:13 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

GUI Changes DONE

Customer & Supplier Tab -> Bill Submission -> Change Rename Monthly to Monthly/Month (min 1 max 6)-Default 1
Customer & Supplier Tab -> Add Blue Star and Title to Bill Submission.

#69 - 08/07/2024 02:47 PM - Avinash MS
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

GUI Change

Customer Tab (While checking "Act As Client") -> Change in Bill Submission While Change in Payment Terms (Refer Payment Terms)

#70 - 08/22/2024 12:39 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

Validation change

Remove the validation for ID expiry date

#71 - 08/22/2024 02:44 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Validation change Done

Remove the validation for ID expiry date

#72 - 09/26/2024 05:02 PM - Augustin Jose
GUI Changes - For Whatsapp phone number

Personal Tab >Phene
> Split phone Entry box to two entry box.

#73 - 10/11/2024 02:41 PM - Arathy PS
ISSUE FOUND

1. Deleted employee still showing in the Ul after deletion

2. Imported accounts cannot be deleted if approved from account approve

#74 - 10/14/2024 04:37 PM - Arathy PS

- Assignee changed from Vivekp V to Greeshma S
#75 - 11/15/2024 12:53 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#76 - 12/27/2024 04:47 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)CHANGE THE TOOLTIP ON WHATSAPP NUMBER FIELD---WHATSAPP NUMBER USED FOR SENDING MESSAGE OR DOCUMENT

#77 - 12/30/2024 06:08 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#78 - 01/03/2025 02:44 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

2-tsModel.ts 1.77 KB 09/28/2022 Anil KV
1-CsModel.cs 2.18 KB 09/28/2022 Anil KV
3-CsFile.cs 11.3 KB 09/28/2022 Anil KV
4-CsControllerFile.cs 25.2 KB 09/28/2022 Anil KV
5-TsFile.ts 14.1 KB 09/28/2022 Anil KV
6-HtmlFile.html 1.89 KB 09/28/2022 Anil KV
sql.sql 11.6 KB 09/28/2022 Anil KV
